GuidedTourSourceGenerator (gCube Guided Tour Widget 1.2.1-SNAPSHOT API)
Date: 2013-07-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.user.guidedtour.resources
Class GuidedTourSourceGenerator

    java.lang.Object
      org.gcube.portlets.user.guidedtour.resources.GuidedTourSourceGenerator

    public class GuidedTourSourceGenerator

extends Object

Author:
  "Federico De Faveri defaveri@isti.cnr.it"

Field Summary
`protected int` | `bodyCounter`
`protected String` | `currentStepVariable`
`protected int` | `imageCounter`
`static String[]` | `SETBODY_METHOD_NAMES`
`static String[]` | `SETIMAGE_METHOD_NAMES`
`static String` | `STEP_VARIABLE_PREFIX`
`protected int` | `stepCounter`
`static String` | `STEPS_VARIABLE`
`protected com.google.gwt.user.rebind.SourceWriter` | `sw`

Constructor Summary
`GuidedTourSourceGenerator(com.google.gwt.user.rebind.SourceWriter sw)`

Method Summary
`void` | `addBody(String language, String body)`
`void` | `addTitle(String language, String title)`
`void` | `endBody()`
`void` | `endStep()`
`void` | `endTitle()`
`void` | `finalizeSteps()`
`protected String` | `getStepVariable()`
`void` | `initializeSteps()`
`void` | `setStepImage(String image)`
`void` | `setTextVerticalAlignment(String alignment)`
`void` | `startBody()`
`void` | `startStep(String stepClass, String showTitle)`
`void` | `startTitle()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STEPS_VARIABLE

    public static final String STEPS_VARIABLE

See Also:
  Constant Field Values

### STEP_VARIABLE_PREFIX

    public static final String STEP_VARIABLE_PREFIX

See Also:
  Constant Field Values

### SETBODY_METHOD_NAMES

    public static final String[] SETBODY_METHOD_NAMES

### SETIMAGE_METHOD_NAMES

    public static final String[] SETIMAGE_METHOD_NAMES

### sw

    protected com.google.gwt.user.rebind.SourceWriter sw

### stepCounter

    protected int stepCounter

### bodyCounter

    protected int bodyCounter

### imageCounter

    protected int imageCounter

### currentStepVariable

    protected String currentStepVariable

Constructor Detail

### GuidedTourSourceGenerator

    public GuidedTourSourceGenerator(com.google.gwt.user.rebind.SourceWriter sw)

Parameters:
  `sw` -

Method Detail

### initializeSteps

    public void initializeSteps()

### startStep

    public void startStep(String stepClass,
                          String showTitle)

### getStepVariable

    protected String getStepVariable()

### startTitle

    public void startTitle()

### addTitle

    public void addTitle(String language,
                         String title)

### endTitle

    public void endTitle()

### setStepImage

    public void setStepImage(String image)

### startBody

    public void startBody()

### addBody

    public void addBody(String language,
                        String body)

### endBody

    public void endBody()

### endStep

    public void endStep()

### setTextVerticalAlignment

    public void setTextVerticalAlignment(String alignment)

### finalizeSteps

    public void finalizeSteps()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.